/***************************************************************************
                          ColorSchemeInterface.cpp  -  description
                             -------------------
    begin                : Son Mai 11 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "colorschemeinterface.h"


QPtrList<ColorSchemeInterface> ColorSchemeInterface::ColorSchemeList;


ColorSchemeInterface::ColorSchemeInterface()
{
   ColorSchemeList.append(this);
}

ColorSchemeInterface::~ColorSchemeInterface()
{
   ColorSchemeList.remove(this);
}

void ColorSchemeInterface::configure(unsigned int* maxIterations)
{
   MaxIterations = maxIterations;
}

ColorSchemeInterface* ColorSchemeInterface::getColorScheme(const unsigned int index)
{
   return(ColorSchemeList.at(index));
}
