/***************************************************************************
                          doubleconfigentry.cpp  -  description
                             -------------------
    begin                : Die Sep 2 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "doubleconfigentry.h"

DoubleConfigEntry::DoubleConfigEntry(double* valuePtr, const char* name) : EntryValue(valuePtr),  EntryName(name)
{
}


DoubleConfigEntry::~DoubleConfigEntry()
{
}


QString DoubleConfigEntry::getValueAsString()
{
    QString Temp;
    Temp.setNum(*EntryValue);
    return Temp;
}


void DoubleConfigEntry::setValueFromString(QString Value)
{
    *EntryValue = Value.toDouble();
}


QString DoubleConfigEntry::getName()
{
    return EntryName;
}
